Bug 218167 - Amarok crashing while resizing width of fields in single line (custom playlist layout).
Summary: Amarok crashing while resizing width of fields in single line (custom playlis...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.3-GIT
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 219301 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-12-10 21:06 UTC by Michal 'Aeddin' Oginski
Modified: 2010-03-22 16:46 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
VerboseExtended.xml (2.73 KB, application/xml)
2009-12-19 18:09 UTC, Sergei Andreev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michal 'Aeddin' Oginski 2009-12-10 21:06:37 UTC
Application that crashed: amarok
Version of the application: 2.2.1
KDE Version: 4.3.4 (KDE 4.3.4) "release 2"
Qt Version: 4.6.0
Operating System: Linux 2.6.31.5-0.1-default i686
Distribution: "openSUSE 11.2 (i586)"

What I was doing when the application crashed:
When I try to resize width of fields (artist, album, title or other) in my custom playlist layout, Amarok 2.2.1has a failure. It's repeats this in the same way.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb17d3940 (LWP 16370))]

Thread 22 (Thread 0xaea09b70 (LWP 16373)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb58380c2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb59812d4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xafaf619b in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 21 (Thread 0xae08eb70 (LWP 16374)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5968d5e in poll () from /lib/libc.so.6
#2  0xb3106cab in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb30f9bc1 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb30f9ebe in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb67476bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb671904d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb6719499 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb660f140 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xafb4c5b8 in Phonon::MediaSource::type() const () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#10 0xb661201f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb58336e5 in start_thread () from /lib/libpthread.so.0
#12 0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 20 (Thread 0xad88db70 (LWP 16378)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafb08300 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 19 (Thread 0xad08cb70 (LWP 16379)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafb08300 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 18 (Thread 0xac87eb70 (LWP 16380)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafb08300 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 17 (Thread 0xab531b70 (LWP 16382)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xabc8582e in os_event_wait_low () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabc84189 in os_aio_simulated_handle () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabd445ed in fil_aio_wait () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabcb81b0 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#8  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 16 (Thread 0xa9a31b70 (LWP 16383)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xabc8582e in os_event_wait_low () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabc84189 in os_aio_simulated_handle () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabd445ed in fil_aio_wait () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabcb81b0 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#8  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 15 (Thread 0xa9230b70 (LWP 16384)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xabc8582e in os_event_wait_low () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabc84189 in os_aio_simulated_handle () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabd445ed in fil_aio_wait () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabcb81b0 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#8  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 14 (Thread 0xa8a2fb70 (LWP 16385)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xabc8582e in os_event_wait_low () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabc84189 in os_aio_simulated_handle () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabd445ed in fil_aio_wait () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabcb81b0 in io_handler_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#8  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 13 (Thread 0xa759eb70 (LWP 16388)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb596c5b1 in select () from /lib/libc.so.6
#2  0xabc85c5b in os_thread_sleep () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0xabcb6c20 in srv_lock_timeout_and_monitor_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 12 (Thread 0xa6d9db70 (LWP 16389)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb596c5b1 in select () from /lib/libc.so.6
#2  0xabc85c5b in os_thread_sleep () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#3  0xabcb6955 in srv_error_monitor_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#5  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 11 (Thread 0xa659cb70 (LWP 16390)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xabc8582e in os_event_wait_low () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabcb520b in srv_master_thread () from /usr/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 10 (Thread 0xa5643b70 (LWP 16424)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xb6613070 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4d45759 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4d47e4b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4d43daa in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4d47f4c in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#16 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#18 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#19 0xb4d45fc4 in ?? () from /usr/lib/libthreadweaver.so.4
#20 0xb4d4663a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#21 0xb661201f in ?? () from /usr/lib/libQtCore.so.4
#22 0xb58336e5 in start_thread () from /lib/libpthread.so.0
#23 0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 9 (Thread 0xa4e42b70 (LWP 16425)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xb6613070 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4d45759 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4d47e4b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4d43daa in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4d47f4c in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb4d45fc4 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb4d4663a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb661201f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb58336e5 in start_thread () from /lib/libpthread.so.0
#13 0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 8 (Thread 0xa4641b70 (LWP 16427)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xb6613070 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4d45759 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4d47e4b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4d43daa in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4d47f4c in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb4d45fc4 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb4d4663a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb661201f in ?? () from /usr/lib/libQtCore.so.4
#16 0xb58336e5 in start_thread () from /lib/libpthread.so.0
#17 0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 7 (Thread 0xa3e40b70 (LWP 16428)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xb6613070 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4d45759 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4d47e4b in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4d43daa in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4d47f4c in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb4d47f68 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb4d459e3 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb4d45fc4 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb4d4663a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb661201f in ?? () from /usr/lib/libQtCore.so.4
#14 0xb58336e5 in start_thread () from /lib/libpthread.so.0
#15 0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 6 (Thread 0xa1eacb70 (LWP 16466)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xb485be67 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb485beaf in ?? () from /usr/lib/libQtScript.so.4
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 5 (Thread 0xa26b5b70 (LWP 16937)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb58380c2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb59812d4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xafb0227b in interruptable_sleep () from /usr/lib/libxine.so.1
#4  0xafb04bee in video_out_loop () from /usr/lib/libxine.so.1
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 4 (Thread 0x9ea21b70 (LWP 16938)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafaf9d38 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0xafb00349 in video_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 3 (Thread 0x9e053b70 (LWP 16939)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafaf9d38 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0xafb01461 in audio_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 2 (Thread 0x9d852b70 (LWP 16940)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5837d95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598127c in pthread_cond_wait () from /lib/libc.so.6
#3  0xafb0b594 in xine_event_wait () from /usr/lib/libxine.so.1
#4  0xafb0b615 in listener_loop () from /usr/lib/libxine.so.1
#5  0xb58336e5 in start_thread () from /lib/libpthread.so.0
#6  0xb5833600 in ?? () from /lib/libpthread.so.0

Thread 1 (Thread 0xb17d3940 (LWP 16370)):
[KCrash Handler]
#6  0xb6cf16e0 in InlineEditorWidget::splitterMoved(int, int) () from /usr/lib/libamaroklib.so.1
#7  0xb6b7cca6 in InlineEditorWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libamaroklib.so.1
#8  0xb671fd4d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#9  0xb672eb76 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#10 0xb639988d in QSplitter::splitterMoved(int, int) () from /usr/lib/libQtGui.so.4
#11 0xb611dd2f in QSplitter::moveSplitter(int, int) () from /usr/lib/libQtGui.so.4
#12 0xb611e014 in QSplitterHandle::moveSplitter(int) () from /usr/lib/libQtGui.so.4
#13 0xb611e114 in QSplitterHandle::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb5caa336 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#15 0xb611bd1e in QSplitterHandle::event(QEvent*) () from /usr/lib/libQtGui.so.4
#16 0xb5c4b1dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb5c522e2 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb74d1451 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#19 0xb671a9de in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#20 0xb5c51944 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#21 0xb5cdd18a in ?? () from /usr/lib/libQtGui.so.4
#22 0xb5cdc734 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#23 0xb5d09da8 in ?? () from /usr/lib/libQtGui.so.4
#24 0xb30f64c2 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#25 0xb30f9d98 in ?? () from /usr/lib/libglib-2.0.so.0
#26 0xb30f9ebe in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#27 0xb6747671 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#28 0xb5d098fa in ?? () from /usr/lib/libQtGui.so.4
#29 0xb671904d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xb6719499 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0xb671d610 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#32 0xb5c4b284 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#33 0x08051cfb in main ()

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2009-12-10 21:25:38 UTC
Similar to bug 206576?
Comment 2 Michal 'Aeddin' Oginski 2009-12-11 00:14:16 UTC
On Thu, Dec 10, 2009 at 9:25 PM, Myriam Schweingruber <myriam@kde.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=218167
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                 CC|                            |nhnFreespirit@gmail.com
>          Component|general                     |Playlist
>            Version|unspecified                 |2.2.1
>
>
>
>
> --- Comment #1 from Myriam Schweingruber <myriam kde org>  2009-12-10 21:25:38 ---
> Similar to bug 206576?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
No. I found bug 206576 in my Amarok, but in next build has been
repaired. This is completely different.
Comment 3 Mark Kretschmann 2009-12-11 08:37:14 UTC
This backtrace is missing debugging symbols, so we can't use it unfortunately. Please see here:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 4 Myriam Schweingruber 2009-12-11 10:40:19 UTC
(In reply to comment #2)
> --- Comment #1 from Myriam Schweingruber <myriam kde org>  2009-12-10 21:25:38 ---
> > Similar to bug 206576?
> >
> > --
> > Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> > ------- You are receiving this mail because: -------
> > You reported the bug.
> >
> No. I found bug 206576 in my Amarok, but in next build has been
> repaired. This is completely different.

Actually, this was a question to the developer, sorry. Nikolaj?
Comment 5 Nikolaj Hald Nielsen 2009-12-11 22:00:49 UTC
I am going to need a few things to figure this one out.

First of all, I need the exact custom layout you are using. Please look in ~/.kde/share/apps/amarok/playlist_layouts/ and attach the xml file that corresponds to the custom layout you use when seeing the crash to this bug report.

Also, please try running amarok from the command line with the "-d" option (as in "amarok -d") and paste the last 10-20 lines out debug output leading up to the crash.

Thanks!
Comment 6 Michal 'Aeddin' Oginski 2009-12-16 23:41:06 UTC
On Fri, Dec 11, 2009 at 10:00 PM, Nikolaj Hald Nielsen
<nhnFreespirit@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=218167
>
>
> Nikolaj Hald Nielsen <nhnFreespirit@gmail.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>         Resolution|BACKTRACE                   |WAITINGFORINFO
>
>
>
>
> --- Comment #5 from Nikolaj Hald Nielsen <nhnFreespirit gmail com>  2009-12-11 22:00:49 ---
> I am going to need a few things to figure this one out.
>
> First of all, I need the exact custom layout you are using. Please look in
> ~/.kde/share/apps/amarok/playlist_layouts/ and attach the xml file that
> corresponds to the custom layout you use when seeing the crash to this bug
> report.
>
> Also, please try running amarok from the command line with the "-d" option (as
> in "amarok -d") and paste the last 10-20 lines out debug output leading up to
> the crash.
>
> Thanks!
>
[...]
Nikolaj,
after update KDE (last weekend) bug described by me has disappeared. I
did as you wrote, and despite several attempts resizing width I could
not repeat that bug. It seems to me that you can close it.
Regards,
Comment 7 Myriam Schweingruber 2009-12-16 23:47:40 UTC
Thank you for your feedback.
Comment 8 Myriam Schweingruber 2009-12-19 18:02:14 UTC
*** Bug 219301 has been marked as a duplicate of this bug. ***
Comment 9 Sergei Andreev 2009-12-19 18:09:42 UTC
Created attachment 39175 [details]
VerboseExtended.xml
Comment 10 Sergei Andreev 2009-12-19 18:13:10 UTC
amarok: BEGIN: void LastFmService::onAvatarDownloaded(QPixmap)                                                                                                                              
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=ru&method=user.getNeighbours&user=SeaJey" )                                                         
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=ru&method=user.getFriends&user=SeaJey" )                                                            
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=ru&method=user.getTopTags&user=SeaJey" )                                                            
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=402d3ca8e9bc9d3cf9b85e1202944ca5&lang=ru&method=user.getTopArtists&user=SeaJey" )                                                         
amarok:    0                                                                                                                                                                                
amarok: END__: void LastFmService::onAvatarDownloaded(QPixmap) - Took 0.043s                                                                                                                
amarok: BEGIN: void LastFmTreeModel::slotAddFriends()                                                                                                                                       
amarok: END__: void LastFmTreeModel::slotAddFriends() - Took 0.0023s                                                                                                                        
amarok: BEGIN: void LastFmTreeModel::slotAddTags()                                                                                                                                          
amarok: END__: void LastFmTreeModel::slotAddTags() - Took 0.0029s                                                                                                                           
amarok: BEGIN: void LastFmTreeModel::slotAddTopArtists()                                                                                                                                    
amarok: END__: void LastFmTreeModel::slotAddTopArtists() - Took 0.0041s                                                                                                                     
amarok: BEGIN: void LastFmTreeModel::slotAddNeighbors()                                                                                                                                     
amarok: END__: void LastFmTreeModel::slotAddNeighbors() - Took 0.0044s                                                                                                                      
amarok: BEGIN: virtual QWidget* Playlist::PrettyItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const                                                 
amarok:   BEGIN: void InlineEditorWidget::createChildWidgets()                                                                                                                              
amarok:      width:  394                                                                                                                                                                    
amarok:   END__: void InlineEditorWidget::createChildWidgets() - Took 0.00086s                                                                                                              
amarok: END__: virtual QWidget* Playlist::PrettyItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const - Took 0.0011s                                  
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.6e-05s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.7e-05s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s                                                                                                    
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s                                                                                                    
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s                                                                                                    
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s                                                                                                    
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)                                                                                                                   
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s                                                                                                   
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00012s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00015s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00012s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 7.2e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.4e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.4e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.4e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.3e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.3e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 8.8e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.3e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 7.9e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 5.8e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.5e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 6.4e-05s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.0001s
amarok: BEGIN: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*)
amarok: END__: Playlist::PrettyItemDelegate::PrettyItemDelegate(QObject*) - Took 0.00011s
amarok: BEGIN: void InlineEditorWidget::splitterMoved(int, int)
amarok:    on row:  0
amarok:    item  0  old/new:  0.7 / 0.719072
amarok:    item  1  old/new:  0.17 / 0.126289
amarok:    item  2  old/new:  0 / 0.154639
ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 395
KCrash: Application 'amarok' crashing...
sock_file=/home/seajey/.kde/socket-Bellerophon-107/kdeinit4__0
Comment 11 Sergei Andreev 2009-12-19 18:13:50 UTC
Should the bug be reopened?
Comment 12 Myriam Schweingruber 2009-12-20 10:23:47 UTC
Sergei, I assume this is the latest git version you have, right? Reopening.
Comment 13 Sergei Andreev 2009-12-20 14:19:12 UTC
>I assume this is the latest git version you have, right?

Yes, I am doing git pull almost every day.
Comment 14 Sergei Andreev 2009-12-20 16:42:43 UTC
Did a bit of testing - Amarok crashes only with my custom layout.
Comment 15 Nikolaj Hald Nielsen 2009-12-21 16:00:17 UTC
Fixed by commit 5b294dd2b12c470fce9e6143225172f2ce911c13

The issue was having one or more auto sizing elements in an playlist items but having it hidden because the other (fixed size) elements in the row already take up 100% of the available space

Any such hidden elements will now also show up in the editor so they can be resized to something sane! :-)
Comment 16 Alexey Khuraskin 2010-03-22 16:46:37 UTC
reproduced in 2.3.0
see bug 231238